# The Rust Programming Language

*by Steve Klabnik and Carol Nichols, with contributions from the Rust Community*

This version of the text assumes you’re using Rust 1.67.1 (released 2023-02-09)
or later. See the [“Installation” section of Chapter 1][install]<!-- ignore -->
to install or update Rust.

The HTML format is available online at
[https://doc.rust-lang.org/stable/book/](https://doc.rust-lang.org/stable/book/)
and offline with installations of Rust made with `rustup`; run `rustup docs
--book` to open.

Several community [translations] are also available.

This text is available in [paperback and ebook format from No Starch
Press][nsprust].

[install]: ch01-01-installation.html
[editions]: appendix-05-editions.html
[nsprust]: https://nostarch.com/rust-programming-language-2nd-edition
[translations]: appendix-06-translation.html

> **🚨 Want a more interactive learning experience? Try out a different version
> of the Rust Book, featuring: quizzes, highlighting, visualizations, and
> more**: <https://rust-book.cs.brown.edu>
